Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZProductCategory Class Reference

Handles product categories used by the default VAT handler. More...

Inheritance diagram for eZProductCategory:

## Static Public Member Functions
static | definition ()
static | fetch ( $id, $asObject=true)
static | fetchByName ( $name, $asObject=true)
static | fetchList ( $asObject=true)
static | fetchProductCountByCategory ( $categoryID)
static | create ()
static | removeByID ( $id)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Additional Inherited Members
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Handles product categories used by the default VAT handler.

Definition at line 17 of file ezproductcategory.php.

## Member Function Documentation

## ◆ create()

static eZProductCategory::create | ( |  | ) |
| static

Definition at line 87 of file ezproductcategory.php.

References ezpI18n\tr().

## ◆ definition()

static eZProductCategory::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 19 of file ezproductcategory.php.

Referenced by fetch(), fetchByName(), fetchList(), and removeByID().

## ◆ fetch()

static eZProductCategory::fetch | ( |  | $id,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 35 of file ezproductcategory.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZProductCategoryType\fromString(), eZProductCategoryType\objectAttributeContent(), and eZProductCategoryType\title().

## ◆ fetchByName()

static eZProductCategory::fetchByName | ( |  | $name,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 43 of file ezproductcategory.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZProductCategoryType\fromString().

## ◆ fetchList()

static eZProductCategory::fetchList | ( |  | $asObject = `true` | ) |
| static

Definition at line 51 of file ezproductcategory.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fetchProductCountByCategory()

static eZProductCategory::fetchProductCountByCategory | ( |  | $categoryID | ) |
| static

Returns number of products belonging to the given category.

Definition at line 64 of file ezproductcategory.php.

References eZDB\instance().

## ◆ removeByID()

static eZProductCategory::removeByID | ( |  | $id | ) |
| static

Remove the given category and all references to it.

Definition at line 101 of file ezproductcategory.php.

References definition(), eZDB\instance(), eZPersistentObject\removeObject(), and eZVatRule\removeReferencesToProductCategory().

The documentation for this class was generated from the following file:

- ezproductcategory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.